package cn.kgc.util;

package ..deTemp.1732369381938;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class BaseDao {
  protected static Connection conn;
  
  protected static PreparedStatement ps;
  
  protected static ResultSet rs;
  
  public static void getConn() {
    try {
      Class.forName("com.mysql.jdbc.Driver");
      conn = DriverManager.getConnection("jdbc:mysql://192.168.232.115:3306/db001", "root", "rootroot");
      System.out.println(conn);
    } catch (ClassNotFoundException e) {
      e.printStackTrace();
    } catch (SQLException e) {
      e.printStackTrace();
    } 
  }
  
  public static void closeAll() {
    try {
      if (rs != null)
        rs.close(); 
      if (ps != null)
        ps.close(); 
      if (conn != null)
        conn.close(); 
    } catch (SQLException e) {
      e.printStackTrace();
    } 
  }
  
  public int executeUpdate(String sql, Object[] params) {
    int flag = 0;
    getConn();
    try {
      ps = conn.prepareStatement(sql);
      if (params != null)
        for (int i = 0; i < params.length; i++)
          ps.setObject(i + 1, params[i]);  
      flag = ps.executeUpdate();
    } catch (SQLException e) {
      e.printStackTrace();
    } finally {
      closeAll();
    } 
    return flag;
  }
  
  public ResultSet executeQuery(String sql, Object[] params) {
    getConn();
    try {
      ps = conn.prepareStatement(sql);
      if (params != null)
        for (int i = 0; i < params.length; i++)
          ps.setObject(i + 1, params[i]);  
      rs = ps.executeQuery();
    } catch (SQLException e) {
      e.printStackTrace();
    } 
    return rs;
  }
  
  public static void main(String[] args) {
    getConn();
  }
}
